uk.ac.starlink.votable

## Class ValuesElement

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingElement
    - - uk.ac.starlink.votable.VOElement
      - - uk.ac.starlink.votable.ValuesElement

- All Implemented Interfaces:
    org.w3c.dom.Element, org.w3c.dom.Node

      public class ValuesElement
      extends VOElement

  Field or Param value restriction set represented by a VALUES element in a VOTable.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMaximum()` Returns the specified maximum value for this ValuesElement object (the value of any Maximum child).
    `java.lang.String` | `getMinimum()` Returns the specified minimum value for this ValuesElement object (the value of any Minimum child).
    `java.lang.String` | `getNull()` Returns the 'null' value for this ValuesElement object, that is the value which represents an undefined data value.
    `java.lang.String[]` | `getOptions()` Returns the specified option values for this ValuesElement object.
    `java.lang.String` | `getType()` Returns the supplied or implied value of the 'type' attribute of this ValuesElement object.

    - ### Methods inherited from class uk.ac.starlink.votable.VOElement

      `getChildByName, getChildren, getChildrenByName, getDescription, getElementsByVOTagName, getElementSequence, getHandle, getID, getName, getParent, getReferencedElement, getSystemId, getVOTagName, toString`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingElement

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getMaximum

          public java.lang.String getMaximum()

      Returns the specified maximum value for this ValuesElement object (the value of any Maximum child).
      Returns:
        maximum value, or `null` if none specified

    - #### getMinimum

          public java.lang.String getMinimum()

      Returns the specified minimum value for this ValuesElement object (the value of any Minimum child).
      Returns:
        minimum value, or `null` if none specified

    - #### getOptions

          public java.lang.String[] getOptions()

      Returns the specified option values for this ValuesElement object.
      Returns:
        an array of option strings ('value' attributes of OPTION children)

    - #### getNull

          public java.lang.String getNull()

      Returns the 'null' value for this ValuesElement object, that is the value which represents an undefined data value. This is the value of the 'null' attribute of the VALUES element, but does not have anything to do with the Java language `null` value.
      Returns:
        the 'null' value for this ValuesElement object or, confusingly, `null` if none is defined

    - #### getType

          public java.lang.String getType()

      Returns the supplied or implied value of the 'type' attribute of this ValuesElement object. According to the VOTable definition this ought to be one of the strings "actual" or "legal".
      Returns:
        values type